読者です 読者をやめる 読者になる 読者になる

Pragmatic ball boy

iOSを中心にやってる万年球拾いの老害エンジニアメモ

AppCodeの使っているXcodeを切り替える

Xcode複数入れている場合に、AppCodeが思ったのと違うXcodeを参照しててビルド通らねぇ!とかいう場合の対処法

====================================================
追記(2014/10) 最近使ったらやり方が変わっていたので記載 ====================================================

メニューから AppCode->Preference を選んでPreferenceを開き Preferenceの中から Xcode を選びます。

現在のやり方

そうすると Selected Xcode が表示されてる

もし変更したい場合はpull downで変更して、ApplyまたはOKすればよい。 そうするとRestartダイアログが表示されるのでそれに従ってAppCodeを再起動すればOK。

以前と比べてxcode-selectやらなくても良くなったので楽になってますね。 逆にxcode-selectでは変更できないので注意。(最初気付かずに以前のやり方でやって変わらない。。とはまりました)

以前のやり方

そうすると

Xcode Path:
Xcode Version:

が記載されているのでそこをみてバージョンなどをチェックします。

もし間違っていた場合はコマンドラインで以下のように実行して切り替えます

> sudo xcode-select -switch /Application/Xcode.app/Contents/Developer

実行後はAppCodeを再起動しないと反映されないです。